//[passport](../../../index.md)/[com.yandex.passport.api.javacompat](../index.md)/[UpgradePropertiesJavaCompatBuilder](index.md)

# UpgradePropertiesJavaCompatBuilder

[passport]\
class [UpgradePropertiesJavaCompatBuilder](index.md)(uid: [PassportUid](../../com.yandex.passport.api/-passport-uid/index.md))

Helper class for java.

## Constructors

| | |
|---|---|
| [UpgradePropertiesJavaCompatBuilder](-upgrade-properties-java-compat-builder.md) | [passport]<br>fun [UpgradePropertiesJavaCompatBuilder](-upgrade-properties-java-compat-builder.md)(uid: [PassportUid](../../com.yandex.passport.api/-passport-uid/index.md)) |

## Functions

| Name | Summary |
|---|---|
| [build](build.md) | [passport]<br>fun [build](build.md)(): [UpgradeProperties](../../com.yandex.passport.api/-upgrade-properties/index.md) |
| [setTheme](set-theme.md) | [passport]<br>fun [setTheme](set-theme.md)(theme: [PassportTheme](../../com.yandex.passport.api/-passport-theme/index.md)): [UpgradePropertiesJavaCompatBuilder](index.md) |
